package fr.marouse.dto;

import java.sql.Date;

public class OperationDTO {

    private int numOperation;
    private Date dateOperation;
    private String typeOperation;
    private double montant;
    private CompteDTO compte;

    public OperationDTO(Date dateOperation, String typeOperation, double montant, CompteDTO compte) {
        this.dateOperation = dateOperation;
        this.typeOperation = typeOperation;
        this.montant = montant;
        this.compte = compte;
    }
    public OperationDTO() {}

    public int getNumOperation() {
        return numOperation;
    }
    public void setNumOperation(int numOperation) {
        this.numOperation = numOperation;
    }
    public Date getDateOperation() {
        return dateOperation;
    }
    public void setDateOperation(Date dateOperation) {
        this.dateOperation = dateOperation;
    }
    public String getTypeOperation() {
        return typeOperation;
    }
    public void setTypeOperation(String typeOperation) {
        this.typeOperation = typeOperation;
    }
    public double getMontant() {
        return montant;
    }
    public void setMontant(double montant) {
        this.montant = montant;
    }
    public CompteDTO getCompte() {
        return compte;
    }
    public void setCompte(CompteDTO compte) {
        this.compte = compte;
    }
}